/**
 * Index exports all the reusable components from the library 
 * 
 */


// Bootstrap Components
import RootApplication from './root-application/root-application'

import ApplicationBootstrap from './application-bootstrap/application-bootstrap'
// Bootstrap Components Ends

// Base Landing Components

import Landing from './landing/landing'

import MenuTemplate from './menu-template/menu-template'

import GlobalHeader from './global-header/global-header'

// Base Landing Components Ends

// Grouping Components

import PageContainer from './page-container/page-container'

import ErrorBoundary from '../elements/complex/error-boundary/error-boundary'

// Grouping Components Ends

// Process Components

import ProcessDashboard from '../models/process/components/process-dashboard/process-dashboard'

// Process Components Ends

// Form Components

import FormCreator from '../models/forms/components/form-creator/form-creator'

import FieldCustomizer from '../modules/forms/components/field-customizer/field-customizer';

import FieldSelector from '../modules/forms/components/field-selector/field-selector';

import TabCustomizer from '../modules/forms/components/tab-customizer/tab-customizer';

import ScriptInput from './../components/script-input/script-input';

// Form Components Ends

// Generic Components

import PortletTable from './portlet-table/portlet-table'

import TableWrapper from './table-wrapper/table-wrapper'

import TableComponent from '../elements/basic/table/table'

import CustomActions from '../models/actions/components/custom-actions/custom-actions'

// Generic Components Ends


// Image View

import ImageWrapper from './../components/image-wrapper/image-wrapper'

import ImagePreview from './../components/image-preview/image-preview'

// Image View Ends

// Authenticaion Components

import FingerPrintSearch from './finger-print-search/finger-print-search'

import FingerPrintReader from './finger-print-reader/finger-print-reader'

import FingerprintProtected from './../elements/basic/fingerprint-protrected/fingerprint-protected'

// Authenticaion Components Ends

import Rupee from './rupee/rupee'
import NoticeBoard from './notice-board/notice-board'
import Camera from './camera/camera'

// Web Camera , Also we have ;)
// import WebCamera from './web-camera/web-camera';

//  Search Components
import SpotlightSearch from './spotlight-search/spotlight-search.component'
import SearchDebounce from '../elements/complex/search-debounce/search-debounce'
//  Search Components Ends

import CommentBlock from './comment-block/comment-block'

import PdfViewer from './pdf-viewer/pdf-viewer'

// Modals and Dialogs

import ModalWrapper from './modal-wrapper/modal-wrapper';
import ConfirmModal from './confirm-modal/confirm-modal'

// import ModalManager from './modal-wrapper/modal-manager'

// Modals and Dialogs Ends

import ConsentComponent from './consent/consent'

import TaskOverviewLegacy from './../models/process/components/task-overview-legacy/task-overview-legacy'

export {

  // Bootstrap Components

  ApplicationBootstrap,
  RootApplication,

  // Bootstrap Components Ends

  // Base Landing Components
  Landing,

  MenuTemplate,

  GlobalHeader,
  // Base Landing Components Ends

  // Grouping Components
  PageContainer,
  ErrorBoundary,

  // Grouping Components Ends

  // Process Components
  ProcessDashboard,
  // Process Components Ends

  // Form Components
  FormCreator,
  TabCustomizer,

  FieldSelector,

  FieldCustomizer,

  ScriptInput,
  // Form Components Ends

  // Generic Components
  PortletTable,

  TableWrapper,
  TableComponent,
  CustomActions,

  // Generic Components Ends

  // Image View
  ImageWrapper,
  ImagePreview,

  // Image View Ends



  // Authentication Components
  FingerPrintSearch,
  FingerPrintReader,
  FingerprintProtected,

  // Authentication Components Ends

  // Search Components
  SpotlightSearch,
  SearchDebounce,

  // Search Components Ends

  NoticeBoard,
  Camera,
  // WebCamera,

  // Modal and Dialogs 

  ConfirmModal,
  ModalWrapper,
  // ModalManager,

  // Modal and Dialogs Ends 

  Rupee,
  CommentBlock,
  PdfViewer,

  TaskOverviewLegacy,
  // WebCamera,
  ConsentComponent,


}
