## Usage

To use this component, simply click on the button below and paste it into your project:

```jsx
import Button from "./copy-to-clipboard";

<Button>Copy</Button>;
```

```sh
import React, { useState, useEffect, useContext } from "react";

import { Button, message } from "antd";

export default function CopyToClipBoard({
  caption = "Element ID",
  id,
  record,
}) { 
  function copyToClipBoard(id) {
    console.log(record);
    navigator.clipboard.writeText(id);
    message.success(`${caption} copied to Clipboard`);
  }

  return (
    <>
      <Button
        size={"small"}
        onClick={() => {
          copyToClipBoard(id);
        }}
      >
        Copy
      </Button>
    </>
  );
}
```
