/**
 * @author Sameena Ammed
 * This component is used as the custom date Picker 
 * antd DatePicker is imported here
 */
import React from 'react';

import { DatePicker as AntdDatePicker } from 'antd';

// import 'antd/dist/antd.css';

export default function DatePicker({
          value,
          children,
          onChange = () => { },
          format = 'DD/MM/YYYY',
          disabledDates,
          disabled

}) {
          return (
                    <AntdDatePicker
                              value={value}
                              onChange={(values) => { onChange(values) }}
                              format={format}
                              disabledDate={disabledDates}
                              disabled={disabled}

                    >
                              {children}
                    </AntdDatePicker>
          )
}
