Thank you for contributing to the development of the product . To make sure we follow a single standard for the development , we have collated the styleguide that we follow so that we all write the same way . Please find below documentation on design patterns and best practices to be extended on the frontend and backend development. The document is intended to guide you through the process of writing code that is consistent, readable, and maintainable.   


We have also outlined the component library that we have used for the development that can fast track your product development. 

### Getting started

We assume you already have access to the <b>Starter-Kit</b> for the front end and backend that would allow to kick start the product development . If not please contact the admin to get the access before continuing . 

We use React on the front end and NestJS for the backend . 

### 📦 Installation

```bash
npm install soxo-bootstrap-core
```

<br/>

### 🔨 Usage

```jsx static
import React from 'react';

import { Button } from 'soxo-bootstrap-core';

const App = () => (
  <>
    <Button type="primary">PRESS ME</Button>
  </>
);
```

<br/>

### Coding Standard 

The following section has all the coding patterns that we have followed to be used for the application development . 

We have an *Eslint Configuration* and *Prettier Configuration* that is configured within the project to ensure the coding pattern shared along is followed . 

Along with the documentation you will see the eslint rule that is implemented to bring control to the code you write.  

### Requirements 

Currently, it uses :

* [React 0.17.0.2](http://facebook.github.io/react/) with [JSX](https://facebook.github.io/jsx/);
* [React-Router 5.2.0](https://github.com/rackt/react-router) for the routing;


## Features

* User rights module inbuilt for you to kick start for individual component development. 
* Contains all the basic components 
* Inbuilt Themes and Theme Configuration (Upcoming)
* Multi Language Support - (Upcoming)
* Multi Currency Support - (Upcoming)

## Motive

Considering developers with different practice coming together and doubring on what standard to follow , we have collated the industry best practice to be followed for the development.

<!-- This project **aims** to be simple **and** of best of its standard. We're not there yet, and we rely heavily on contributors (on you !) to make this happen. -->

## How to Contribute

Any new feature/bug has to be worked on a branch that is created from main branch . We maintain the live / master or main branch as configured on the project . 

All the tasks picked up has to be first tested and approved on develop branch before it can be made live or merged to main.  

<!-- ## License

The MIT License (MIT). See the **LICENSE** file. -->